Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#42876 - [networkmanager-openvpn] openvpn auth dialog does not work

Attached to Project: Arch Linux
Opened by john doe (jatone) - Saturday, 22 November 2014, 20:17 GMT
Last edited by Jan Alexander Steffens (heftig) - Tuesday, 07 July 2015, 04:19 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Ionut Biru (wonder)
Jan Alexander Steffens (heftig)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
cannot connect to openvpn networks due to the following error:
Nov 22 15:05:39 NetworkManager[11224]: <error> [1416686739.932329] [vpn-manager/nm-vpn-connection.c:1778] get_secrets_cb(): Failed to request VPN secrets #2: (6) No agents were available for this request.

Seems related to https://wiki.archlinux.org/index.php/NetworkManager#GNOME "VPN not working in GNOME" section. Unfortunately the symbolic link work around did not do anything.

Additional info:
networkmanager 0.9.10.0-4
networkmanager-openvpn 0.9.10.0-1
network-manager-applet 0.9.10.0-2

Steps to reproduce:
install openvpn connect to a vpn server without saving a password.
This task depends upon

Closed by  Jan Alexander Steffens (heftig)
Tuesday, 07 July 2015, 04:19 GMT
Reason for closing:  Fixed
Comment by Doug Newgard (Scimmia) - Sunday, 23 November 2014, 04:14 GMT
What symlink did you make?
Comment by john doe (jatone) - Sunday, 23 November 2014, 15:12 GMT
ln -s /usr/lib/networkmanager/nm-openvpn-auth-dialog /usr/lib/gnome-shell/

I resolved the issue this morning. I didn't have the gnome keyring installed, since installing it problem has been resolved.

Be nice to at least include the keyring as an optional dependency. As passwords do not work without it.

Loading...